commit:     e8bb05e9cc5a67f66d55409b4a2689d2832bd300
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jun  5 05:47:04 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jun  5 05:50:22 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e8bb05e9

dev-python/paste: Bump to 3.4.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/paste/Manifest           |  1 +
 dev-python/paste/paste-3.4.1.ebuild | 42 +++++++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/paste/Manifest b/dev-python/paste/Manifest
index a0d69ae13f7..69e3bdc4ee8 100644
--- a/dev-python/paste/Manifest
+++ b/dev-python/paste/Manifest
@@ -1,2 +1,3 @@
 DIST Paste-3.2.3.tar.gz 628900 BLAKE2B 
3f6bc741a716f33b82fa3bf8e1ab6ba3c17a56ebf3f90ccce0c1a925f982a2a0b460f433e15045321bb4b7c22c6fe9238cf6c7c76b78dc86d414729b67f0791e
 SHA512 
8775a4c6b1863355a2acb3b88258e342db768942ccf28edc8654d7a1a15c5a036f4f8c5c9d917d51e74c9260170234f9c499cefd709b0fbd39ffd4d1b7afcb79
 DIST Paste-3.4.0.tar.gz 630425 BLAKE2B 
a361450597e8dce1d9cb99ce2a723cb8feb08909975662e1fbe8b353c20900ac5d994e8373ea4db42776aee1901f51363f8338ba4e3c35462f3c3917161a02ef
 SHA512 
fbe0d1f39d8147846b3a30f18e6776c31eb5bcd8f461c0bf7afc35533c65c2ddf74263807be1b73b76c49cd6cc73c210a37ca651ef1f34e727ccf0687478085a
+DIST Paste-3.4.1.tar.gz 633491 BLAKE2B 
be599b9385ecad754fc431a936ccd78ee088825c88040986ddd4ccb3ca81342d642a23699ca7ef9338be5360703ce5d5a2d966ff9e405744b286fa3fe69bce41
 SHA512 
90b6bd33e83fde70691be6206ad1de653603900b88fade79f6960df22bb84c6e82c9b6f4ddc11406f4e206273a2b5591b81ca034f8f42a3e993b85b16d07e3f0

diff --git a/dev-python/paste/paste-3.4.1.ebuild 
b/dev-python/paste/paste-3.4.1.ebuild
new file mode 100644
index 00000000000..a86c3a7bb14
--- /dev/null
+++ b/dev-python/paste/paste-3.4.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python2_7 python3_{6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+MY_P="Paste-${PV}"
+DESCRIPTION="Tools for using a Web Server Gateway Interface stack"
+HOMEPAGE="https://pypi.org/project/Paste/";
+SRC_URI="mirror://pypi/${MY_P::1}/${PN^}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 
~amd64-linux ~x86-linux ~x64-macos ~x86-macos ~sparc-solaris"
+
+RDEPEND="dev-python/namespace-paste[${PYTHON_USEDEP}]
+       >=dev-python/six-1.4.0[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs
+
+python_prepare_all() {
+       # TODO: 'Address already in use'
+       sed -e 's:test_address_family_v4:_&:' \
+               -i tests/test_httpserver.py || die
+
+       # Remove a test that runs against the paste website.
+       rm -f tests/test_proxy.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       find "${D}" -name '*.pth' -delete || die
+}

Reply via email to